SolrQuery::setTermsUpperBound
SolrDisMaxQuery
SolrQuery
PHP Manual

# SolrQuery::setTimeAllowed

(PECL solr >= 0.9.2)

SolrQuery::setTimeAllowed — The time allowed for search to finish

### Description

public SolrQuery SolrQuery::setTimeAllowed ( int `$timeAllowed` )

The time allowed for a search to finish. This value only applies to the search and not to requests in general. Time is in milliseconds. Values less than or equal to zero implies no time restriction. Partial results may be returned, if there are any.

### Parameters

`timeAllowed`

  The time allowed for a search to finish.

### Return Values

Returns the current SolrQuery object, if the return value is used.

SolrQuery::setTermsUpperBound
SolrDisMaxQuery
SolrQuery
PHP Manual